(function() {
  "use strict";
  "use strict";
  var appVersion, avi, packedVersion, pvi, versiontoint;

  window.isLocalStorageSupported = (function() {
    var error, testKey;
    testKey = '__gim__test__';
    try {
      localStorage.setItem(testKey, '1');
      localStorage.removeItem(testKey);
      return true;
    } catch (error1) {
      error = error1;
      return false;
    }
  })();

  if (window.isLocalStorageSupported) {
    versiontoint = function(av) {
      var e, i, len, sv, version;
      if (!av || (av.split == null)) {
        return 0;
      }
      av = av.split(".");
      av = (function() {
        var i, len, results;
        results = [];
        for (i = 0, len = av.length; i < len; i++) {
          e = av[i];
          results.push(parseInt(e));
        }
        return results;
      })();
      version = 0;
      for (i = 0, len = av.length; i < len; i++) {
        sv = av[i];
        version = version * 100 + sv;
      }
      return version;
    };
    packedVersion = '1.8.0';
    appVersion = localStorage.getItem("appVersion");
    pvi = versiontoint(packedVersion);
    avi = versiontoint(appVersion);
    localStorage.setItem("appVersion", "0.0.0");
    if (pvi > avi && localStorage.getItem("manifest")) {
      console.log(localStorage);
      console.log("Package is never than Cached version -> reset");
      delete localStorage.last_update_files;
      delete localStorage.manifest;
      location.reload();
    }
  }

}).call(this);
